Advance Orders

Exit Order

POST
/api/oms/exit-order

to exit bracket or cover order.

Header Parameters

Authorization*string

Access token in the following format:

Bearer <api_key>:<access_token>

Both values are required. The api_key is your app credential from the Apps Section. The access_token is obtained from the authentication endpoint and is valid for 24 hours.

Request Body

application/x-www-form-urlencoded

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/oms/exit-order" \  -H "Authorization: Bearer <api Key>:<access token>" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'orderId=string&product=bracket'
{
  "s": "ok",
  "d": {
    "msg": "SNO Order Exited Successfully"
  }
}
{
  "s": "error",
  "msg": "Input validation failed. Kindly check your input contains required fields for the request"
}
{
  "s": "error",
  "msg": "Unauthorized"
}
{
  "s": "error",
  "msg": "Too many requests"
}
{
  "s": "error",
  "msg": "Internal server error"
}